set linetype 1 lc rgb "red"   lw 3 dt 1 pt 7 ps 0.5
set linetype 2 lc rgb "black" lw 3 dt 1 pt 5 ps 0.5
set linetype 3 lc rgb "green" lw 3 dt 1
set linetype 4 lc rgb "orange"lw 3 dt 1
set linetype 5 lc rgb "black" lw 5 dt 2
set linetype 6 lc rgb "blue"  lw 5 dt 2
set linetype 7 lc rgb "pink"  lw 5 dt 2
set linetype 8 lc rgb "cyan"  lw 5 dt 2

set grid
set key outside below

#---PNG---
set term pngcairo color noenhanced size 800,600
FType = '.png'

#---residuals---
FILE =       "../postProcessing/residuals(p_rgh)/0/residuals.dat"
set output   "residuals-vs-time".FType

set title    "Residuals"
set xlabel   "time"
set ylabel   "residual(p\_rgh)"
set logscale y
set format y "%.0e"
plot FILE u 1:2 w l lw 2 notitle

unset   logscale y
set     format y "%g"

#---PNG---
set term pngcairo color enhanced size 800,600


#---bubbleProperties---
FILE =      "../postProcessing/bubbleProperties/0/bubbleProperties.dat"
RFILE =     "2009_Hysing_et_al/h1by80/2009_Hysing_case2_group1_cg.dat"
set output  "phasePosition".FType
unset title
set xlabel  "t"
set ylabel  "CG.y"
plot FILE u 1:3             w l  ls 1   notitle                         , \
     FILE u 1:3 every 20::4 w p  ls 1   notitle                         , \
     1/0                    w lp ls 1 t "Present solver 1/h=80"         , \
     RFILE                  w p  ls 2 t "Hysing et al.(2009) 1/h=80"

RFILE =     "2009_Hysing_et_al/h1by80/2009_Hysing_case2_group1_riseVelocity.dat"
set output  "phaseVelocity".FType
set ylabel  "U_b.y"
plot FILE u 1:6             w l  ls 1   notitle                         , \
     FILE u 1:6 every 20::4 w p  ls 1   notitle                         , \
     1/0                    w lp ls 1 t "Present solver 1/h=80"         , \
     RFILE                  w p  ls 2 t "Hysing et al.(2009) 1/h=80"

RFILE =     "2009_Hysing_et_al/h1by80/2009_Hysing_case2_group1_circularity.dat"
set output  "circularity".FType
set ylabel  "c"
set yrange  [0.4:1.1]
plot FILE u 1:10             w l  ls 1   notitle                        , \
     FILE u 1:10 every 20::4 w p  ls 1   notitle                        , \
     1/0                     w lp ls 1 t "Present solver 1/h=80"        , \
     RFILE                   w p  ls 2 t "Hysing et al.(2009) 1/h=80"
unset yrange

#---PNG---
set term pngcairo color enhanced size 700,800

#---bubbleSurface---
FILE =      "../postProcessing/bubbleSurface/3/bubble.raw"
RFILE =     "2009_Hysing_et_al/h1by80/2009_Hysing_case2_group1_shape.dat"
set output  "shape".FType
set title   "t = 3"
set size ratio -1
set xlabel  "x"
set ylabel  "y"
plot RFILE w p ls 2 t "Hysing et al.(2009) 1/h=80"                  , \
     FILE  w p ls 1 t "Present solver 1/h=80"
